Subject: [alpine-user] Sendmail

From: Yordan Ivanov <[email-masked]>
Date: Wed, 22 Mar 2017 08:49:16 +0200

Hi guys,

I am sure my question has been asked many times before, but I did not
found any information about it.
So I am trying to send emails from dokerized Alpine 3.4. The host is
Ubuntu 16.04 and base image is php:7.1-fpm-alpine
(https://github.com/docker-library/php/blob/ec02e1bcf1196ed3f8b74ecc956cf81554e32db8/7.1/fpm/alpine/Dockerfile).

What I found is sendmail is preinstalled so I tried to execute:

echo "TEST" | sendmail -v [email-masked]

and I got

sendmail: can't connect to remote host (127.0.0.1): Connection refused

At best I should be able to send mails using remote SMTP server (with
dynamic configuration passed prom php), but any advice would be very
appreciated.

Kind regards,
Yordan Ivanov